Bug 84295 - [V8] Pass Isolate to v8Array()
: [V8] Pass Isolate to v8Array()
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Kentaro Hara
:
Depends on:
Blocks: 84074
  Show dependency treegraph
 
Reported: 2012-04-18 16:01 PDT by Kentaro Hara
Modified: 2012-04-24 04:28 PDT (History)
3 users (show)

See Also:


Attachments
Patch (5.00 KB, patch)
2012-04-18 16:02 PDT, Kentaro Hara
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
patch for landing (4.82 KB, patch)
2012-04-23 13:05 PDT, Kentaro Hara
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
patch for landing (4.82 KB, patch)
2012-04-23 18:29 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kentaro Hara 2012-04-18 16:01:20 PDT
The final objective is to pass Isolate around in V8 bindings. In this bug, we pass the Isolate to v8Array().
Comment 1 Kentaro Hara 2012-04-18 16:02:41 PDT
Created attachment 137795 [details]
Patch
Comment 2 WebKit Review Bot 2012-04-23 12:08:57 PDT
Comment on attachment 137795 [details]
Patch

Rejecting attachment 137795 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
#1 FAILED at 918.
Hunk #2 succeeded at 3808 (offset 3 lines).
1 out of 2 hunks FAILED -- saving rejects to file Source/WebCore/bindings/scripts/CodeGeneratorV8.pm.rej
patching file Source/WebCore/bindings/scripts/test/V8/V8TestObj.cpp
Hunk #2 succeeded at 1295 (offset 208 lines).
patching file Source/WebCore/bindings/v8/V8Binding.h

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Nate Chapin']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12512184
Comment 3 Kentaro Hara 2012-04-23 13:05:44 PDT
Created attachment 138405 [details]
patch for landing
Comment 4 WebKit Review Bot 2012-04-23 17:56:54 PDT
Comment on attachment 138405 [details]
patch for landing

Rejecting attachment 138405 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/12519089
Comment 5 Kentaro Hara 2012-04-23 18:29:40 PDT
Created attachment 138483 [details]
patch for landing
Comment 6 WebKit Review Bot 2012-04-23 22:12:32 PDT
Comment on attachment 138483 [details]
patch for landing

Clearing flags on attachment: 138483

Committed r114997: <http://trac.webkit.org/changeset/114997>